# Blocks

## Veridium Ore
- Same Rarity As Gold Ore

## Veridium Block
- Storage Block Of Veridium

## Solar Panel
- Produces Energy From Skylight

## Energon Light
- Produces Light From Energy

## Thermal Casing
- Base Block For Reactor And Battery Multi-Blocks

## Thermal Glass
- Transparent Version Of Thermal Casing

## Reactor Core
- Core Of A Reactor
- Must Be Surrounded By: Only 1 Reactor Controller And At Least 1 Reactor Input, All Other Blocks Must Be Either Thermal Casing Or Thermal Glass

## Reactor Controller
- Controller Of Reactor

## Reactor Input
- Input For Reactor

## Battery Core
- Core Of A Battery
- Must Be Surrounded By: Only 1 Battery Controller, All Other Blocks Must Be Either Thermal Casing Or Thermal Glass

## Passive Battery Controller
- Controller Of Battery
- Only Charges At A Constant Rate

## Active Battery Controller
- Controller Of Battery
- Charges As Much As Possible

## Defensive Laser
- Shoots At All Living Entities In Range

## Block Breaker
- Uses Energy To Break The Block It Is Facing

## Forcefield Projector
- Uses Energy To Create A Solid Forcefield

## Tractor Beam Projector
- Uses Energy to Create A Tractor Beam
- Can Switch Between Push And Pull Modes Using A Redstone Signal

## Industrial Laser
- Uses Energy To Produce A Non-Solid Forcefield That Damages Living Entities
- The Forcefield Generated Can Also Melt Ores To Produce Ingots

## Switch
[View Info](ENERGY_SYSTEM.md#user-content-switch)

## Energy Projector
- Produces A Non-Solid Forcefield
- If The Forcefield Hits Obsidian it WIll Be Converted Into Energized Obsidian

## Energy Portal
- Nether Portal That Multiplies By 16x Instead Of 8x
- Produced By This Formation:
  ```
  O = Obsidian Or Energized Obsidian
  E = Energized Obsidian
  A = Air

   OEO
  OAAAO
  EAAAE
  OAAAO
   OEO
  ```
- Does Not Generate A Return Portal
- When Used In The End, It Will Just Teleport You To World Spawn

## Creative Energy Source
- Generates Infinite Energy For Creative Players

## Lightning Rod
- Generates Energy When Struck By Lightning

## Holographic Sky
- Uses Energy To Produce A Fake Sky

## Infuser
- Uses Energy To Attempt To Convert An Item To A Different Item
- Each Item Has Multiple Outcomes And May Require Different Amount Of Energy